package L15_pkg;

import java.awt.event.ComponentListener;
import java.awt.event.MouseListener;
import java.awt.event.MouseMotionListener;
import java.awt.event.WindowFocusListener;
import java.awt.event.WindowListener;
import java.beans.PropertyChangeListener;

import javax.swing.JFrame;
import javax.swing.SwingUtilities;

public class L15App2 {
	public static void main(String[] args) {
		SwingUtilities.invokeLater(new L15v2Runnable());
	}
}

class L15v2Runnable implements Runnable {
	@Override
	public void run() {
		JFrame frame = new L15Frame();

		/*
		 * Below the various listeners are instantiated and registered; you
		 * should experiment
		 */

		MouseMotionListener obs1 = new ObserverMouseMotion();
		frame.addMouseMotionListener(obs1);

		MouseListener obs2 = new ObserverMouse();
		frame.addMouseListener(obs2);

		ComponentListener obs3 = new ObserverComponent();
		frame.addComponentListener(obs3);

		WindowListener obs4 = new ObserverWindow();
		frame.addWindowListener(obs4);

		WindowFocusListener obs5 = new ObserverWindowFocus();
		frame.addWindowFocusListener(obs5);

	}
}
