package L15_pkg.copy;

import java.awt.*;
import java.awt.event.*;
import java.beans.PropertyChangeListener;
import java.util.EventListener;

import javax.swing.JFrame;
import javax.swing.SwingUtilities;

/*
 ***************************************************************
 * Silly Sample program which demonstrates the basic paint
 * callback mechanism in the AWT.
 ***************************************************************
 *
 *http://java.sun.com/products/jfc/tsc/articles/painting/src/PaintDemo.java
 */
public class L15App_old {
	public static void main(String[] args) {

		SwingUtilities.invokeLater(new Runnable() {
			public void run() {
				createAndShowGUI();
			}
		});

	}

	private static void createAndShowGUI() {
		JFrame frame = new L15Frame();
		// JFrame frame = new L15FrameVeryBasicVersion();

		MouseMotionListener observer = new ObserverMouseMotion();
		frame.addMouseMotionListener(observer);

		MouseListener obs2 = new ObserverMouse();
		frame.addMouseListener(obs2);

		WindowListener obs4 = new ObserverWindow();
		frame.addWindowListener(obs4);

		ComponentListener obs5 = new ObserverComponent();
		frame.addComponentListener(obs5);

		WindowFocusListener obs6 = new ObserverWindowFocus();
		frame.addWindowFocusListener(obs6);
		
	}
}
